### Method

# Qmi Device delete_link

since: 1.28

#### Declaration [src]

    void
    qmi_device_delete_link (
      QmiDevice* self,
      const gchar* ifname,
      guint mux_id,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously deletes a virtual network interface that has been previously created with qmi_device_add_link().

If the kernel driver doesn’t allow this functionality, a `QMI_CORE_ERROR_UNSUPPORTED` error will be returned.

When the operation is finished `callback` will be called. You can then call `qmi_device_delete_link_finish()` to get the result of the operation.

<note><para> The `QMI_DEVICE_MUX_ID_UNBOUND` value may be given as `mux_id` if the user can guarantee that the underlying kernel support doesn’t require the mux id info to delete the link. When using the qmi_wwan driver from a kernel older than v5.12, a valid `mux_id` is required. </para></note>.

Available since: 1.28

This method completes asynchronously. Use `qmi_device_delete_link_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`ifname`

  Type: `const gchar*`

  The name of the link to remove.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`mux_id`

  Type: `guint`

  The mux ID of the link to remove.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.